Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Dmitry Gutov <[email-masked]>
Date: Thu, 5 Mar 2020 15:40:07 +0200

On 05.03.2020 14:30, João Távora wrote:
>     And when they use that "out", and the program behaves randomly, they'll
>     get annoyed, file confusing bug reports, etc. Why would we want that?
> 
> 
> Any of those things are better than the feeling of being trapped in a
> UI.

First: I disagree with that assessment.

Second: trapped by the UI or not, we are still limited by what values 
the program that called completing-read is prepared to handle.

> And anyway, they're really unlikely, who would use the
> finger-contorting atomic option without knowing exactly what they're
> doing?  We can even add a warning message, or even a prompt, if
> you feel so strongly. If still object, at least I would mention in the
> keymap's docstring how to add such a thing.

I mean... if your idea of an "out" is to give it a "finger-contorting" 
binding and a secret password, of course that's unlikely to cause many 
problems.

I don't know how (or why) to add instructions to the docstring for 
something that we advise against doing, though. What phrasing to use, etc.

But the "how to do it" is very easy: add an 'exit-minibuffer' binding to 
icomplete-fido-mode-map.

>     Do you have a specific scenario in mind where it would help?
> 
> 
> Well, as I said I do remember binding M-j to it for this specific
> circumstance, but that's before your fix (which I am still to try out).

Please do when you have the time.

And also, here's a thought: anytime you feel like using 
'exit-minibuffer' to counter the REQUIRE-MATCH=t argument, that should 
probably be accompanied by a patch to the caller function to change that 
argument to nil.